﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Carre.ManualDataEntry.Services;

namespace Carre.ManualDataEntry.Controllers
{
    public class CarreController : Controller
    {
		private readonly TokenService _tokenService = new TokenService();

        // GET: Carre
	    public ActionResult Index()
	    {
		    var service = new UserProfileService();

		    if (!_tokenService.HasToken(Session.SessionID))
		    {
				return null;
		    }

		    var token = _tokenService.GetToken(Session.SessionID);	

		    if (token != null) {
			    var info = service.GetUserProfile(token);
			    ViewBag.CarreUser = info.username;
		    }

			return PartialView("CarreWelcome");
        }

	    protected override void Dispose(bool disposing)
	    {
			_tokenService.Dispose();
		    base.Dispose(disposing);
	    }
    }
}