﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Carre.ManualDataEntry.Models;
using Carre.ManualDataEntry.Resources;
using Carre.ManualDataEntry.Services;

namespace Carre.ManualDataEntry.Controllers
{
	public class GeneralFormController : Controller
	{
		private readonly FormDbContext _db = new FormDbContext();

		// GET: GeneralInformation
		public ActionResult Index(string token)
		{
			var userService = new UserProfileService();
			var userProfile = userService.GetUserProfile(token);

			//var formFields = new FormFieldService().GetFormFields(token);

			var formFields = FormFieldWrapperContainer.GetFormFieldForForm(0, token);

			formFields.Where(m => m.name.value == "token").FirstOrDefault().Input = token;
			formFields.Where(m => m.name.value == "date").FirstOrDefault().Input = DateTime.Now.ToString("yyyy-MM-ddTHH:mm:ss");
			formFields.Where(m => m.name.value == "username").FirstOrDefault().Input = userProfile.username;

			return View(formFields);
		}

		[HttpPost]
		public ActionResult Index(List<FormFieldWrapper> form, string token)
		{
			var service = new GeneralFormService();

			var result = service.SubmitGeneralForm(form);

			ViewBag.Message = result ? "General form successfuly submited" : "ERROR";
			ViewBag.Token = Request.Params["token"];

			return View("Submit");
		}
	}
}