﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Carre.ManualDataEntry.Services;

namespace Carre.ManualDataEntry.Controllers
{
	public class HomeController : Controller
	{
		private readonly TokenService _tokenService = new TokenService();

		public ActionResult Index(string token)
		{
			@ViewBag.Token = token;

			if (!_tokenService.HasToken(Session.SessionID)) {
				return RedirectToAction("Index", "Token");
			}

			return View();
		}

		public ActionResult About()
		{
			ViewBag.Message = "Your application description page.";

			return View();
		}

		public ActionResult Contact()
		{
			ViewBag.Message = "Your contact page.";

			return View();
		}

		protected override void Dispose(bool disposing)
		{
			_tokenService.Dispose();
			base.Dispose(disposing);
		}
	}
}