﻿using System;
using System.Data.Entity;
using System.Web.Mvc;
using Carre.ManualDataEntry.Models;
using Microsoft.AspNet.Identity;

namespace Carre.ManualDataEntry.Controllers
{
	[Authorize]
	public class PersonalInformationController : Controller
	{
		private readonly FormDbContext _db = new FormDbContext();

		public ActionResult Index()
		{
			var userId = User.Identity.GetUserId();
            return View(_db.PersonalInfromation.Find(userId));
		}

		[HttpPost]
		[ValidateAntiForgeryToken]
		public ActionResult Save(PersonalInformation personalInformation)
		{
			var userId = User.Identity.GetUserId();
            var personalInfoDb = _db.PersonalInfromation.Find(userId);
			if (personalInfoDb == null) {
				personalInformation.AuthorId = userId;
				personalInformation.CreateDate = DateTime.Now;
                _db.PersonalInfromation.Add(personalInformation);
				_db.SaveChanges();
			} else {
				personalInformation.AuthorId = personalInfoDb.AuthorId;
				personalInformation.CreateDate = personalInfoDb.CreateDate;
				personalInformation.UpdateDate = DateTime.Now;
				var entry = _db.Entry(personalInfoDb);
				entry.CurrentValues.SetValues(personalInformation);
				_db.SaveChanges();
			}

			return View("Index", personalInformation);
		}

		protected override void Dispose(bool disposing)
		{
			if (disposing) {
				_db.Dispose();
			}
			base.Dispose(disposing);
		}
	}
}
