﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.ModelBinding;
using System.Web.Mvc;
using Carre.ManualDataEntry.Models;
using Carre.ManualDataEntry.Services;
using Microsoft.Ajax.Utilities;

namespace Carre.ManualDataEntry.Controllers
{
    public class TokenController : Controller
    {
		private readonly TokenService _tokenService =  new TokenService();

        // GET: Token
		[HttpGet]
        public ActionResult Index()
        {
	        if (_tokenService.HasToken(Session.SessionID))
	        {
		        return RedirectToAction("Index", "Home");
	        }

            return View();
        }

		[HttpPost]
	    public ActionResult Index([Form]Token token)
		{
			if (string.IsNullOrWhiteSpace(token.CarreToken))
			{
				ViewBag.Error = "Invalid token";
				return View();
			}

			try
			{
				var userInfo = new UserProfileService().GetUserProfile(token.CarreToken);
				if (userInfo.username.IsNullOrWhiteSpace())
				{
					ViewBag.Error = "Invalid token";
					return View();
				}
			}
			catch
			{
				ViewBag.Error = "Invalid token";
				return View();
			}

			_tokenService.GetOrUpdateToken(token.CarreToken, Session.SessionID);
			return RedirectToAction("Index", "Home");
	    }

	    protected override void Dispose(bool disposing)
	    {
			_tokenService.Dispose();
		    base.Dispose(disposing);
	    }
    }
}