namespace Carre.ManualDataEntry.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class InitialCreate : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "dbo.Diagnoses",
                c => new
                    {
                        Author = c.String(nullable: false, maxLength: 128),
                        Number = c.Int(nullable: false, identity: true),
                        IcdCode = c.String(maxLength: 32),
                        Description = c.String(maxLength: 128),
                        OnsetDate = c.DateTime(),
                        EndDate = c.DateTime(),
                        ResolutionCircumstances = c.String(maxLength: 1024),
                        CreateDate = c.DateTime(),
                        UpdateDate = c.DateTime(),
                    })
                .PrimaryKey(t => new { t.Author, t.Number });
            
            CreateTable(
                "dbo.Medications",
                c => new
                    {
                        Author = c.String(nullable: false, maxLength: 128),
                        Number = c.Int(nullable: false, identity: true),
                        Name = c.String(maxLength: 128),
                        Dose = c.String(maxLength: 32),
                        TimesPerDay = c.Single(nullable: false),
                        StartDate = c.DateTime(),
                        EndDate = c.DateTime(),
                        CreateDate = c.DateTime(nullable: false),
                        UpdateDate = c.DateTime(),
                    })
                .PrimaryKey(t => new { t.Author, t.Number });
            
            CreateTable(
                "dbo.PersonalInformation",
                c => new
                    {
                        AuthorId = c.String(nullable: false, maxLength: 128),
                        FirstName = c.String(maxLength: 64),
                        LastName = c.String(maxLength: 64),
                        BirthDate = c.DateTime(),
                        Gender = c.Int(nullable: false),
                        StreetAddress = c.String(maxLength: 128),
                        City = c.String(maxLength: 64),
                        PostCode = c.String(maxLength: 64),
                        Country = c.String(maxLength: 64),
                        PhoneNumber = c.String(maxLength: 32),
                        CreateDate = c.DateTime(nullable: false),
                        UpdateDate = c.DateTime(),
                    })
                .PrimaryKey(t => t.AuthorId);
            
        }
        
        public override void Down()
        {
            DropTable("dbo.PersonalInformation");
            DropTable("dbo.Medications");
            DropTable("dbo.Diagnoses");
        }
    }
}
